%define name		kxmame
%define version		2.0
%define beta		beta
%define rel		0.%{beta}.2
%define distsuffix	plf
%define release         %mkrel %rel

Summary:	A KDE front-end for xmame 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Emulators
Url:		http://sourceforge.net/projects/kxmame
Source:		%{name}-%{version}-%{beta}.tar.bz2
Source1:	%name-16.png
Source2:        %name-48.png
Source3:	%name-32.png
Patch0:		kxmame-xmamepath.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	kdelibs-devel
BuildRequires:	expat-devel
#Requires:	xmame-tools

%description
KDE port of gxmame frontend for xmame (X version of the Multiple Arcade 
Machine Emulator).

As gXmame, it allows you to create a game list using your current executable 
of xmame, display specific games (neo-geo, CPS1/2, working, by version...), 
view the status of a game, change its preferences and launch it.

This package is in PLF because of Mandriva Linux policy regarding emulators.

Don't forget to install xmame-tools package.

%prep
%setup -n %{name}-%{version}-%{beta}
%patch0 -p1

%build

export LDFLAGS="-lexpat"
%configure --disable-rpath --enable-joystick

%make

%install
%makeinstall
%find_lang %{name}

mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="kxmame" \
title="Kxmame" \
longtitle="An arcade emulator" \
icon="kxmame.png" \
needs="x11" \
section="More Applications/Emulators"
EOF

mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_liconsdir}
install -m 644 %{SOURCE1} %{buildroot}%{_miconsdir}/%{name}.png
install -m 644 %{SOURCE2} %{buildroot}%{_liconsdir}/%{name}.png
install -m 644 %{SOURCE3} %{buildroot}%{_iconsdir}/%{name}.png

%post
%{update_menus}
 
%postun
%{clean_menus} 

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_bindir}/%{name}
#{_datadir}/applications/kxmame.desktop
%{_datadir}/applnk/Utilities/kxmame.desktop
%{_datadir}/apps/kxmame/kxmameui.rc
%{_docdir}/HTML/en/kxmame/common
%{_docdir}/HTML/en/kxmame/index.cache.bz2
%{_docdir}/HTML/en/kxmame/index.docbook
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}


%changelog
* Sun Oct 29 2006 Anssi Hannula <anssi@zarb.org> 2.0-0.beta.2plf2007.1
- patch0: fix xmame location
- use standard mkrel
- fix typos in description
- fix buildrequires
- add -lexpat to LDFLAGS, fixes linking

* Wed Feb 22 2006 Guillaume Bedot <littletux@zarb.org> 2.0-0.beta.1plf
- New release

* Thu Jan 19 2006 Guillaume Bedot <littletux@zarb.org> 1.91-1plf
- New release
- Removed req on non-free package.

* Mon Sep 19 2005 Guillaume Bedot <littletux@zarb.org> 1.1-2plf
- reup

* Sun Sep 18 2005 Guillaume Bedot <littletux@zarb.org> 1.1-1plf
- First kxmame package for PLF

